Subject: livestock wanted

From: Wayne F Wehling <[email-masked]>
Date: Mon, 20 May 1996 17:00:59 -0400

Greetings,  Does anyone have livestock of any Phoebis (sulfurs) or Anartia
(peacocks) species.  I am also looking for Papilio glaucus (eastern
tiger swallowtail) livestock.  I would need full data with Papilio glaucus
material but could use any Phoebis or Anartia with or without data.  Phoebis
and Anartia would be reared for the Michigan State University butterfly house.
Papilio glaucus would be used for research.  Please write me directly.

Wayne Wehling
[email-masked]